Subject: Re: bug#61356: 29.0.60; wrong-type-argument in treesit-indent-region when indenting a C buffer

From: [email-masked]
Date: Mon, 4 Sep 2023 12:47:13 -0700

Yuan Fu <[email-masked]> writes:

> Thanks, I applied the patch. What you observed is certainly a regression due to,
> from what I can see from profiling, c-ts-common-statement-offset. It is added
> for more accurate indenting, by going up the parse tree and “count brackets”,
> more or less. This is probably a pretty inefficient when calculating indentation
> for every line. A change I just pushed helps a bit (in a block, make the first
> child calculate indentation as before, and children after than uses the previous
> sibling’s indentation), but still not enough.
>
> I have some ideas to improve this, and get back once I have something.

It seems like the patch here was applied.  Can this bug therefore be
closed, or is there more to do here?